#ifndef CONTROLLERSSTORAGE_H
#define CONTROLLERSSTORAGE_H

#include "controllers/controllerinterface.h"
#include "datasource/datasourceinterface.h"

#include <memory>
#include <vector>

class ControllersStorage
{
public:
    ControllersStorage(DataSourceInterface *dataSource);

    ControllerInterface *getControllerByIface(QString iface);
    ControllerInterface *getControllerByPath(QString path);

private:
    std::vector<std::unique_ptr<ControllerInterface>> m_controllers;
};

#endif // CONTROLLERSSTORAGE_H
