#ifndef LOADBUTTONWIDGET_H
#define LOADBUTTONWIDGET_H

#include "loadcontroller.h"

#include <QWidget>

namespace Ui
{
class LoadButtonsWidget;
}

class LoadButtonsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit LoadButtonsWidget(LoadController *controller, QWidget *parent = nullptr);
    ~LoadButtonsWidget();

    LoadButtonsWidget(const LoadButtonsWidget &) = delete;
    LoadButtonsWidget(LoadButtonsWidget &&)      = delete;

    LoadButtonsWidget &operator=(const LoadButtonsWidget &) = delete;
    LoadButtonsWidget &operator=(LoadButtonsWidget &&) = delete;

private:
    Ui::LoadButtonsWidget *ui;

    LoadController *m_controller;
};

#endif // LOADBUTTONWIDGET_H
