#ifndef PACKAGESMODEL_H
#define PACKAGESMODEL_H

#include "package.h"

#include <QStandardItemModel>

class PackageModel : public QStandardItemModel
{
private:
    typedef QStandardItemModel super;

public:
    using super::super;
    PackageModel(int rows, int columns, QObject *parent = nullptr) = delete;
    PackageModel(int rows, QObject *parent = nullptr);

    void appendRow(const QVariant &entity);

    void insertRow(int row, QVariant &entity);

    QVariant getEntity(int row);
    QVariant getEntity(const QModelIndex *index);

private:
    int structSize = 5;
};

#endif // PACKAGESMODEL_H
