#ifndef REPOMODEL_H
#define REPOMODEL_H

#include "repo.h"

#include <QStandardItemModel>

class RepoModel : public QStandardItemModel
{
private:
    typedef QStandardItemModel super;

public:
    using super::super;
    RepoModel(int rows, int columns, QObject *parent = nullptr) = delete;
    RepoModel(int rows, QObject *parent = nullptr);

    void appendRow(const QVariant &entity);

    void insertRow(int row, QVariant &entity);

    QVariant getEntity(int row);
    QVariant getEntity(const QModelIndex *index);

private:
    const static int structSize = 4;
};

#endif // REPOMODEL_H
