#ifndef RPMFILESDIALOG_H
#define RPMFILESDIALOG_H

#include <QDialog>

namespace Ui
{
class RpmFilesDialog;
}

class RpmFilesDialog : public QDialog
{
    Q_OBJECT

public:
    explicit RpmFilesDialog(QWidget *parent = nullptr);
    ~RpmFilesDialog();

    RpmFilesDialog(const RpmFilesDialog &) = delete;
    RpmFilesDialog(RpmFilesDialog &&)      = delete;

    RpmFilesDialog &operator=(const RpmFilesDialog &) = delete;
    RpmFilesDialog &operator=(RpmFilesDialog &&) = delete;

    void addFiles(const QStringList &files);

private:
    Ui::RpmFilesDialog *ui;
};

#endif // RPMFILESDIALOG_H
