#ifndef AMPPROXYMODEL_H
#define AMPPROXYMODEL_H

#include "repomodel.h"

#include <set>
#include <QSortFilterProxyModel>

class AMPProxyModel : public QSortFilterProxyModel
{
private:
    typedef QSortFilterProxyModel super;

public:
    using super::super;

    AMPProxyModel(std::vector<int> columns, QObject *parent = nullptr);

    QVariant getEntity(int row);
    QVariant getEntity(const QModelIndex &index);

protected:
    bool filterAcceptsColumn(int source_column, const QModelIndex &source_parent) const;

private:
    std::set<int> m_columns{};
};

#endif // AMPPROXYMODEL_H
