#ifndef DEFAULTBUTTONSWIDGET_H
#define DEFAULTBUTTONSWIDGET_H

#include "defaultcontroller.h"

#include <QWidget>

namespace Ui
{
class DefaultButtonsWidget;
}

class DefaultButtonsWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DefaultButtonsWidget(DefaultController *controller, QWidget *parent = nullptr);
    ~DefaultButtonsWidget();

    DefaultButtonsWidget(const DefaultButtonsWidget &) = delete;
    DefaultButtonsWidget(DefaultButtonsWidget &&)      = delete;

    DefaultButtonsWidget &operator=(const DefaultButtonsWidget &) = delete;
    DefaultButtonsWidget &operator=(DefaultButtonsWidget &&) = delete;

private:
    Ui::DefaultButtonsWidget *ui;

    DefaultController *m_controller;
};

#endif // DEFAULTBUTTONSWIDGET_H
