#ifndef RPMINFODIALOG_H
#define RPMINFODIALOG_H

#include <QDialog>

namespace Ui
{
class RpmInfoDialog;
}

class RpmInfoDialog : public QDialog
{
    Q_OBJECT

public:
    explicit RpmInfoDialog(QWidget *parent = nullptr);
    ~RpmInfoDialog();

    RpmInfoDialog(const RpmInfoDialog &) = delete;
    RpmInfoDialog(RpmInfoDialog &&)      = delete;

    RpmInfoDialog &operator=(const RpmInfoDialog &) = delete;
    RpmInfoDialog &operator=(RpmInfoDialog &&) = delete;

    void setInfoText(QString info);

private:
    Ui::RpmInfoDialog *ui;
};

#endif // RPMINFODIALOG_H
